<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>InputField (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="InputField (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Image.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" target="_top">Frames</a></li>
<li><a href="InputField.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui</div>
<h2 title="Interface InputField" class="title">Interface InputField</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/AddPaymentSelectorField.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">AddPaymentSelectorField</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/AttributeSearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">AttributeSearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/BusinessPartnerSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">BusinessPartnerSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/CheckBox.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">CheckBox</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/CurrencySearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">CurrencySearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">DateItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/HiddenItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">HiddenItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/LocationSearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">LocationSearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/LocatorSearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">LocatorSearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/NumberItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">NumberItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/OBSearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">OBSearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/OrganizationSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">OrganizationSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/PaymentMethodSearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">PaymentMethodSearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/PaymentSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">PaymentSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/ProductSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">ProductSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/ProductSimpleSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">ProductSimpleSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/searchitems/ProjectSearchItem.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.searchitems">ProjectSearchItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/ProjectSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">ProjectSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">SelectItem</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/SelectorField.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">SelectorField</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/selectors/ShipmentReceiptLineSelector.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui.selectors">ShipmentReceiptLineSelector</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/TextItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">TextItem</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">InputField</span></pre>
<div class="block">Interface for the input fields.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#focus--">focus</a></span>()</code>
<div class="block">Set the focus to the field.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#getTitle--">getTitle</a></span>()</code>
<div class="block">Get the title of the input field.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#getValue--">getValue</a></span>()</code>
<div class="block">Get the value of the input field.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#isEnabled--">isEnabled</a></span>()</code>
<div class="block">Return true if the field is enabled.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#isPresent--">isPresent</a></span>()</code>
<div class="block">Return true if the field is present.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#isVisible--">isVisible</a></span>()</code>
<div class="block">Return true if the field is visible.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#setValue-java.lang.Object-">setValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Set the value of the input field.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#waitUntilEnabled--">waitUntilEnabled</a></span>()</code>
<div class="block">Wait until the field is enabled.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setValue-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>void&nbsp;setValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Set the value of the input field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The value to set on the field.</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getValue()</pre>
<div class="block">Get the value of the input field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current value of the field.</dd>
</dl>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTitle()</pre>
<div class="block">Get the title of the input field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the title of the input field.</dd>
</dl>
</li>
</ul>
<a name="focus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>focus</h4>
<pre>void&nbsp;focus()</pre>
<div class="block">Set the focus to the field.</div>
</li>
</ul>
<a name="waitUntilEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilEnabled</h4>
<pre>void&nbsp;waitUntilEnabled()</pre>
<div class="block">Wait until the field is enabled.</div>
</li>
</ul>
<a name="isPresent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPresent</h4>
<pre>boolean&nbsp;isPresent()</pre>
<div class="block">Return true if the field is present.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the field is present. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVisible</h4>
<pre>boolean&nbsp;isVisible()</pre>
<div class="block">Return true if the field is visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the field is visible. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isEnabled--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isEnabled</h4>
<pre>boolean&nbsp;isEnabled()</pre>
<div class="block">Return true if the field is enabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the field is enabled. Otherwise, false.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Image.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/ListItem.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" target="_top">Frames</a></li>
<li><a href="InputField.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
